import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('tgMessageInfo.messageType', '消息类型'),
        field: "messageType",
        labelWidth: "160px",
        span: 8,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataType: "NOTICE_TYPE",
            placeholder: "",
        },
    },
    {

        label: tm('tgMessageInfo.messageTitle', '消息标题'),
        field: "messageTitle",
        labelWidth: "160px",
        span: 8,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('tgMessageInfo.openFlag', '消息是否启用'),
        field: "openFlag",
        labelWidth: "160px",
        span: 8,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('tgMessageInfo.sendTime', '消息发送时间'),
        field: "sendTime",
        labelWidth: "160px",
        span: 8,
        show: true,
        query: "auto",
        componentProps: {
            dataType: "DateRange",
            placeholder: "",
        },
    },
];

export const columns = [
    {
        label: tm('tgMessageInfo.messageType', '消息类型'),
        field: "messageType",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('tgMessageInfo.messageTitle', '消息标题'),
        field: "messageTitle",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('tgMessageInfo.messageContent', '消息内容'),
        field: "messageContent",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },


    {
        label: tm('tgMessageInfo.openFlag', '消息是否启用'),
        field: "openFlag",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    // {
    //     label: tm('tgMessageInfo.sendMark', '消息推送状态'),
    //     field: "sendMark",
    //     show: true,
    //     width: "160px",
    //     export: true,
    //     fixed: false,
    //     columnProps: {
    //         "show-overflow-tooltip": true,
    //         sortable: false,
    //     },
    // },

    {
        label: tm('tgMessageInfo.sendTime', '消息发送时间'),
        field: "sendTime",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('tgMessageInfo.createUser', '消息创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('tgMessageInfo.createTime', '消息创建时间'),
        field: "createTime",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    }
];
